Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.profiling
Interface ProfilingService

All Superinterfaces:
  java.rmi.Remote

    public interface ProfilingService

extends java.rmi.Remote

A profiling service provides some methods to retrieve performance object's profile information. A profiling service also is a remote interface. Users can use `ProfilingService.UUID` as this remote object's name to locate it.

Field Summary
`static java.lang.String` | `UUID` Remote Object Unique Universal ID.

Method Summary
`java.lang.String[]` | `getProfileNames()` Retrieves a list of the profile report names.
`java.lang.String` | `runReport(java.lang.String profileName, java.util.Properties prop)` Runs and returns the specified profile report.

Field Detail

### UUID

    static final java.lang.String UUID

  Remote Object Unique Universal ID. Client application can use this value to locate the remote object.

  See Also:
    Constant Field Values

Method Detail

### getProfileNames

    java.lang.String[] getProfileNames()
                                       throws java.rmi.RemoteException

  Retrieves a list of the profile report names.

  Returns:
    profile name list.
  Throws:
    `java.rmi.RemoteException`

### runReport

    java.lang.String runReport(java.lang.String profileName,
                               java.util.Properties prop)
                               throws java.rmi.RemoteException

  Runs and returns the specified profile report.

  Parameters:
    `profileName,` - this is profile name
    `prop,` - this `Properties`contains profile report information``
  Returns:
    If successful return the result file name or else return the string with the "EEROR:" prefix.
  Throws:
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD